000016774 - AxM 6.2 with adaptive auth (AA)  startup error: 'Unable to configure Adaptive Authentication Adapter' reported in aserver.log on startup

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000016774
Applies ToRSA Access Manager 6.2  (AxM)
RSA Adaptive Authentication. (AA)
IssueAxM 6.2: "Unable to configure Adaptive Authentication Adapter"  reported in aserver.log on startup

When an upgrade is performed from from AxM 6.1 to AxM 6.2 , the aserver throws the following error:

"Unable to configure Adaptive Authentication Adapter"

CauseThe adaptive auth configuration file name has changed between AxM 6.1.4 and AxM 6.2.
Resolution

The AA  conf file , they changed an underscore to a hyphen in both the conf directory itself and the aserver.conf file.

In AxM 6.1.4 release, the adaptive auth file name was adaptive_auth-onpremise.conf.  This is called out in the AxM 6.1.4  aserver.conf file as cleartrust.adaptive_auth.source.configuration=adaptive_auth-onpremise.conf

After upgrading to AxM 6.2, the AA conf file name has changed to adaptive-auth-onpremise.conf (in other words, a hyphen was used where previously an underscore was used in the file name).  In aserver.conf file: cleartrust.adaptive_auth.source.configuration=adaptive-auth-onpremise.conf

NotesThe upgrade process by default does take this naming difference into consideration and does create a correctly named conf file for AA, and does set the aserver.conf parameter appropriately. If you manullly copy over existing 6.1.4 configuration files after the upgrade, you can experience this issue.
Legacy Article IDa61244

Attachments

    Outcomes